# PetscMapCreate

Creates an empty map object. The type can then be set with PetscMapSetType().

### Synopsis

    #include "petscvec.h"
    PetscErrorCode PetscMapCreate(MPI_Comm comm, PetscMap *map)

Collective on MPI_Comm

### Input Parameter

comm -The MPI communicator for the map object

### Output Parameter

map -The map object

### Keywords

PetscMap, create

### See Also

PetscMapDestroy(), PetscMapGetLocalSize(), PetscMapGetSize(), PetscMapGetGlobalRange(), PetscMapGetLocalRange()

Level:beginner
Location:src/vec/interface/mapcreate.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages